
%define pkg poppler
%define dataversion 0.1

Summary: PDF rendering library extras
Name:    poppler 
Version: 0.5.4
Release: 0.2%{?dist}

License: GPL
Group: 	 System Environment/Libraries
URL:     http://poppler.freedesktop.org/
Source0: http://poppler.freedesktop.org/poppler-%{version}.tar.gz
Source1: http://poppler.freedesktop.org/poppler-data-%{dataversion}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch1: poppler-0.5.4-qt_pkgconfig.patch
Patch2: poppler-0.5.4-moc-qt4.patch

BuildRequires: libjpeg-devel
BuildRequires: qt-devel
BuildRequires: qt4-devel
# for patch1
BuildRequires: libtool automake

%if 0%{?fedora} > 4 || 0%{?rhel4} > 4
%define _enable_poppler_glib --enable-poppler-glib
BuildRequires: gtk2-devel > 2.6
%define _enable_cairo_output --enable-cairo-output
BuildRequires: cairo-devel
%endif

%description
%{summary}, including qt and qt4 wrappers.

%package devel
Summary: Development files for %{name}
Group:   Development/Libraries
Requires: %{name} = %{version}-%{release}
%description devel
%{summary}.

%package -n %{pkg}-qt 
Summary: Qt wrapper for poppler 
Group:   System Environment/Libraries 
Requires: %{pkg} = %{version}
%description -n %{pkg}-qt 
%{summary}.

%package -n %{pkg}-qt-devel
Summary: Development files for Qt wrapper
Group:   Development/Libraries
Requires: %{pkg}-qt = %{version}-%{release}
Requires: %{pkg}-devel = %{version}
Requires: qt-devel
%description -n %{pkg}-qt-devel
%{summary}.

%package -n %{pkg}-qt4
Summary: Qt4 wrapper for poppler
Group:   System Environment/Libraries
Requires: %{pkg} = %{version}
Requires: qt4-devel
%description -n %{pkg}-qt4
%{summary}.

%package -n %{pkg}-qt4-devel
Summary: Development files for Qt4 wrapper
Group:   Development/Libraries
Requires: %{pkg}-qt = %{version}-%{release}
Requires: %{pkg}-devel = %{version}
%description -n %{pkg}-qt4-devel
%{summary}.

%package utils
Summary: Command line utilities for converting PDF files.
Group: Applications/Text
Requires: %{name} = %{version}-%{release}
Conflicts: xpdf <= 1:3.01-8
Conflicts: xpdf-utils
# There's an extras package that provides pdftohtml
Conflicts: pdftohtml
%description utils
This utils package installs a number of command line tools for
converting PDF files to a number of other formats.


%prep
%setup -c -q -n %{pkg}-%{version} -a 1

%patch1 -p0 -b .qt_pkgconfig
%patch2 -p0 -b .moc-qt4
(cd %{pkg}-%{version}; autoreconf )


%build
pushd %{pkg}-%{version}
%configure \
  --disable-compile-warnings \
  --disable-static \
  %{?_enable_cairo_output} %{!?_enable_cairo_output:--disable-cairo-output} \
  %{?_enable_poppler_glib} %{!?_enable_poppler_glib:--disable-poppler-glib --disable-gtk-test} \
  --enable-utils \
  --enable-poppler-qt \
  --enable-poppler-qt4 \

make %{?_smp_mflags}
popd


%install
rm -rf $RPM_BUILD_ROOT

make -C %{pkg}-%{version} install DESTDIR=$RPM_BUILD_ROOT
make -C %{pkg}-data-%{dataversion} install DESTDIR=$RPM_BUILD_ROOT datadir=%{_datadir} 

## unpackaged files
rm $RPM_BUILD_ROOT%{_libdir}/lib*.la


%check
make MOC=moc-qt4 -C %{pkg}-%{version} -k check ||:


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc %{name}-%{version}/ChangeLog
%doc %{name}-%{version}/README
%{?_enable_poppler_glib:%{_libdir}/libpoppler-glib.so.*}
%{_libdir}/libpoppler.so.*
%{_datadir}/poppler/

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/poppler.pc
%{_libdir}/pkgconfig/poppler-splash.pc
%dir %{_includedir}/poppler/
%{_libdir}/libpoppler.so
%if 0%{?_enable_poppler_glib:1} == 1
%{_libdir}/libpoppler-glib.so
%{_libdir}/pkgconfig/poppler-glib.pc
%{_includedir}/poppler/glib/
%{_datadir}/gtk-doc/html/poppler
%endif

%files -n %{pkg}-qt
%defattr(-,root,root,-)
%{_libdir}/libpoppler-qt.so.*

%files -n %{pkg}-qt-devel
%defattr(-,root,root,-)
%{_libdir}/libpoppler-qt.so
%{_libdir}/pkgconfig/poppler-qt.pc
%{_includedir}/poppler/poppler-qt.h
%{_includedir}/poppler/poppler-link-qt3.h
%{_includedir}/poppler/poppler-page-transition.h

%files -n %{pkg}-qt4 
%defattr(-,root,root,-)
%{_libdir}/libpoppler-qt4.so.*

%files -n %{pkg}-qt4-devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/poppler-qt4.pc
%{_libdir}/libpoppler-qt4.so
%{_includedir}/poppler/poppler-annotation.h
%{_includedir}/poppler/poppler-link.h
%{_includedir}/poppler/poppler-qt4.h

%files utils
%defattr(-,root,root,-)
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Wed Dec 06 2006 Rex Dieter <rexdieter[AT]users.sf.net> - 0.5.4-0.2
- qt_pkgconfig.patch, use pkg-config in favor of broken(lib64) config checks
- extras for awol qt/qt4 wrappers (#158941)

* Sun Oct 01 2006 Jesse Keating <jkeating@redhat.com> - 0.5.4-2
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Thu Sep 21 2006 Kristian Høgsberg <krh@redhat.com> - 0.5.4-1.fc6
- Rebase to 0.5.4, drop poppler-0.5.3-libs.patch, fixes #205813,
  #205549, #200613, #172137, #172138, #161293 and more.

* Wed Sep 13 2006 Kristian Høgsberg <krh@redhat.com> - 0.5.3-3.fc6
- Move .so to -devel (#203637).

* Mon Aug 14 2006 Matthias Clasen <mclasen@redhat.com> - 0.5.3-2.fc6
- link against fontconfig (see bug 202256)

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.5.3-1.1
- rebuild

* Wed May 31 2006 Kristian Høgsberg <krh@redhat.com> 0.5.3-1
- Update to 0.5.3.

* Mon May 22 2006 Kristian Høgsberg <krh@redhat.com> 0.5.2-1
- Update to 0.5.2.

* Wed Mar  1 2006 Kristian Høgsberg <krh@redhat.com> 0.5.1-2
- Rebuild the get rid of old soname dependency.

* Tue Feb 28 2006 Kristian Høgsberg <krh@redhat.com> 0.5.1-1
- Update to version 0.5.1.

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.5.0-4.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.5.0-4.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 18 2006 Ray Strode <rstrode@redhat.com> - 0.5.0-4
- change xpdf conflict version to be <= instead of <

* Wed Jan 18 2006 Ray Strode <rstrode@redhat.com> - 0.5.0-3
- update conflicts: xpdf line to be versioned

* Wed Jan 11 2006 Kristian Høgsberg <krh@redhat.com> - 0.5.0-2.0
- Update to 0.5.0 and add poppler-utils subpackage.
- Flesh out poppler-utils subpackage.

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Sun Sep  4 2005 Kristian Høgsberg <krh@redhat.com> - 0.4.2-1
- Update to 0.4.2 and disable splash backend so we don't build it.

* Fri Aug 26 2005 Marco Pesenti Gritti <mpg@redhat.com> - 0.4.1-2
- Rebuild

* Fri Aug 26 2005 Marco Pesenti Gritti <mpg@redhat.com> - 0.4.1-1
- Update to 0.4.1

* Wed Aug 17 2005 Kristian Høgsberg <krh@redhat.com> - 0.4.0-2
- Bump release and rebuild.

* Wed Aug 17 2005 Marco Pesenti gritti <mpg@redhat.com> - 0.4.0-1
- Update to 0.4.0

* Mon Aug 15 2005 Kristian Høgsberg <krh@redhat.com> - 0.3.3-2
- Rebuild to pick up new cairo soname.

* Mon Jun 20 2005 Kristian Høgsberg <krh@redhat.com> - 0.3.3-1
- Update to 0.3.3 and change to build cairo backend.

* Sun May 22 2005 Marco Pesenti gritti <mpg@redhat.com> - 0.3.2-1
- Update to 0.3.2

* Sat May  7 2005 Marco Pesenti Gritti <mpg@redhat.com> - 0.3.1
- Update to 0.3.1

* Sat Apr 23 2005 Marco Pesenti Gritti <mpg@redhat.com> - 0.3.0
- Update to 0.3.0

* Wed Apr 13 2005 Florian La Roche <laroche@redhat.com>
- remove empty post/postun scripts

* Wed Apr  6 2005 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.0-1
- Update to 0.2.0

* Sat Mar 12 2005 Marco Pesenti Gritti <mpg@redhat.com> - 0.1.2-1
- Update to 0.1.2
- Use tar.gz because there are not bz of poppler

* Sat Mar  2 2005 Marco Pesenti Gritti <mpg@redhat.com> - 0.1.1-1
- Initial build
